Last Comment Bug 459286 - gtk stock items for thunderbird menu items
: gtk stock items for thunderbird menu items
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All Linux
: -- enhancement (vote)
: Thunderbird 3.0b1
Assigned To: Magnus Melin
:
Mentors:
http://library.gnome.org/devel/gtk/2....
Depends on: 470688
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 13:39 PDT by Magnus Melin
Modified: 2010-09-04 02:17 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot of some of the more interesting bits (197.57 KB, image/png)
2008-10-09 13:39 PDT, Magnus Melin
no flags Details
proposed fix (27.52 KB, patch)
2008-10-09 13:40 PDT, Magnus Melin
clarkbw: ui‑review+
Details | Diff | Splinter Review
proposed fix, v2 (25.83 KB, patch)
2008-10-14 12:50 PDT, Magnus Melin
philringnalda: review+
Details | Diff | Splinter Review
add the editoroverlay.css needed for proposed fix, v2 (2.80 KB, patch)
2008-10-19 05:35 PDT, Magnus Melin
no flags Details | Diff | Splinter Review

Description Magnus Melin 2008-10-09 13:39:03 PDT
Created attachment 342486 [details]
screenshot of some of the more interesting bits

Thunderbird should use menu item icons on linux - in some parts (like view source) it already does since we get them from toolkit. 

I suppose for some of the items, it's debatable what to do. Anyway, attaching a screenshot of what i've got.
Comment 1 Magnus Melin 2008-10-09 13:39:59 PDT
This will/can look different, depending on your os theme of course.
Comment 2 Magnus Melin 2008-10-09 13:40:37 PDT
Created attachment 342487 [details] [diff] [review]
proposed fix
Comment 3 Magnus Melin 2008-10-09 14:40:01 PDT
Comment on attachment 342487 [details] [diff] [review]
proposed fix

For the composition window, some of the icons won't show until bug 459099 is fixed.
Comment 4 Bryan Clark (DevTools PM) [@clarkbw] 2008-10-09 17:16:10 PDT
Comment on attachment 342487 [details] [diff] [review]
proposed fix

from the screenshot this looks great!  \o/
Comment 5 Phil Ringnalda (:philor) 2008-10-12 13:06:22 PDT
Randomly (because I'm like that):

* 3pane has gtk-new for the New item, but not the Message item, compose has it for both

* the dropdown for the Security button in compose should probably have the same icon that the View menu has for Message Security Info

* why do we and Firefox both use key="key_openHelp" when the menuitem seems to have a perfectly good id?

* pretty sure #context-printframe isn't going to match anything

* the contextmenu print and printpreview icons are swapped
Comment 6 Magnus Melin 2008-10-14 11:44:19 PDT
(In reply to comment #5)
> * the dropdown for the Security button in compose should probably have the same
> icon that the View menu has for Message Security Info

If you mean compose Options | Security, then I don't think so. It's an info icon, and the other places it's used is for a menu item to view info.

Otherwise good catches!
Comment 7 Phil Ringnalda (:philor) 2008-10-14 12:15:37 PDT
I meant compose - toolbar Security button dropdown arrow - View Security Info, our second path to open the same dialog as View - Message Security Info.
Comment 8 Magnus Melin 2008-10-14 12:50:59 PDT
Created attachment 343099 [details] [diff] [review]
proposed fix, v2

Oh that. Added.

Re the help menu; I changed the id of the help menu to match that in toolkit, view source. (View source gets it's icons from toolkit.)
Comment 9 Phil Ringnalda (:philor) 2008-10-18 14:18:18 PDT
Comment on attachment 343099 [details] [diff] [review]
proposed fix, v2

Pretty!
Comment 10 Magnus Melin 2008-10-19 04:59:19 PDT
changeset:   635:623bbaa8af7c
http://hg.mozilla.org/comm-central/rev/623bbaa8af7c

->FIXED
Comment 11 Magnus Melin 2008-10-19 05:35:36 PDT
Created attachment 343794 [details] [diff] [review]
add the editoroverlay.css needed for proposed fix, v2

Seems v2 didn't add the editorOverlay.css

changeset:   636:73775e88392d
http://hg.mozilla.org/comm-central/rev/73775e88392d

Should fix the thinderbox red.

Note You need to log in before you can comment on or make changes to this bug.